Bug 861512 - glxgears stutters unless key pressed
glxgears stutters unless key pressed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 17:35 EDT by Steve Tyler
Modified: 2014-02-05 07:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:22:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (26.39 KB, text/plain)
2012-09-28 17:35 EDT, Steve Tyler
no flags Details
dmesg (56.57 KB, text/plain)
2012-09-28 17:37 EDT, Steve Tyler
no flags Details
/var/log/messages (170.95 KB, text/plain)
2012-09-28 17:37 EDT, Steve Tyler
no flags Details
glxgears output (2.91 KB, text/plain)
2012-09-28 17:42 EDT, Steve Tyler
no flags Details
$ rpm -qa kernel 'xorg*' 'glx*' 'mesa*' avogadro | sort (1.43 KB, text/plain)
2012-09-28 17:47 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-09-28 17:35:04 EDT
Created attachment 618762 [details]
Xorg.0.log

Description of problem:
glxgears stutters unless a key is held down, the pointer is continuously moved, or a shell script that repeatedly sleeps is run.

The stuttering looks as though the gears briefly rotate a few degrees in one direction and then reverse direction. The motion is not smooth. The frame rate is about 10 FPS.

If a key is held down, the rotation is in one direction and smooth. The frame rate increases to about 38 FPS.  If the pointer is continuously moved, the rotation is likewise in one direction and smooth. The frame rate may reach about 62 FPS.

Repeatedly running sleep from a terminal also results in smooth rotation:

$ while true; do sleep 0.01; done

The frame rate increases to about 62 FPS.

Version-Release number of selected component (if applicable):

xorg-x11-drv-intel-2.20.8-1.fc18.i686
kernel-3.6.0-0.rc7.git0.1.fc18.i686

Fedora Graphics Test Day CD image:
20120924-test_days-x86_64.iso
https://fedoraproject.org/wiki/Test_Day:2012-09-27_Intel

How reproducible:
Always.

Steps to Reproduce:
1. Run glxgears from a terminal.
   Observe the motion and the frame rate according to glxgears.
2. Hold down a key (e.g. the ctrl key), and observe the motion and frame rate.
3. Release the key and continuously move the pointer. Observe.
4. Stop moving the pointer, and run this shell script from a terminal:
   $ while true; do sleep 0.01; done
   Observe.

Actual results:
Motion stutters unless a key is held down, the pointer is continuously moved, or sleep is repeatedly run.

Expected results:
Motion does not stutter.

Additional info:
Stuttering can also be observed in some of the mesa demos, for example /usr/lib/mesa/reflect. A rotating molecule in avogadro may also stutter, although the stuttering is not as prominent.

The stuttering also occurs with an updated F16 on the same hardware.

Test cases:
https://fedoraproject.org/wiki/QA:Testcase_intelvideo_glx
https://fedoraproject.org/wiki/QA:Testcase_intelvideo_3D_mesa-demos
https://fedoraproject.org/wiki/QA:Testcase_intelvideo_3D_avogadro
Comment 1 Steve Tyler 2012-09-28 17:37:16 EDT
Created attachment 618763 [details]
dmesg
Comment 2 Steve Tyler 2012-09-28 17:37:57 EDT
Created attachment 618764 [details]
/var/log/messages
Comment 3 Steve Tyler 2012-09-28 17:42:30 EDT
Created attachment 618765 [details]
glxgears output

The frame rate increased to about 38 FPS while the ctrl key was held down. The frame rate increased to about 62 FPS while sleep was repeatedly run:

$ while true; do sleep 0.01; done
Comment 4 Steve Tyler 2012-09-28 17:47:19 EDT
Created attachment 618766 [details]
$ rpm -qa kernel 'xorg*' 'glx*' 'mesa*' avogadro | sort
Comment 5 Fedora End Of Life 2013-12-21 03:59:00 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:22:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.